[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TLVDataHintEvent

Specifies a handler routine for data hint events in TListView.

## Declaration

Source position: comctrls.pp line 1303

`type TLVDataHintEvent = procedure(`
`Sender: TObject;`
`StartIndex: Integer;`
`EndIndex: Integer`
`) of object;`

## Arguments

`Sender` |  | Object (TCustomListView) for the event notification.
`StartIndex` |  | Initial position for visible list items on the list view control.
`EndIndex` |  | Final position for visible list items on the list view control.

## Description

TLVDataHintEvent is an object procedure type which specifies a handler routine for data hints in TListView controls. TLVDataHintEvent is the type used for the OnDataHint event handler in TCustomListView and descendent classes.

An application can implement and assign a handler routine to perform actions needed to pre-load or cache values from an external source. It is used when virtual mode is enabled in the list view control.

The arguments passed to the handler routine identify the list view control for the event, and the range of list item positions currently visible on the list view control.

TLVDataHintEvent and OnDataHint events are used on the Windows platform only. Other widgetsets do not implement the data hinting mechanism.

## See also

TCustomListView.OnDataHint |  | Event handler signalled to load a range of cached list items in the virtual storage for the control.
TCustomListView.OwnerData |  | Enables or disables owner data (virtual) mode for the list view control.